<div id="basic-info">
  <div class="bg-white rounded-lg">
    <p class="text-lg font-semibold text-neutral-900 mb-0">
      Payment Method Settings
    </p>
    <p class="text-sm mb-0">
      Accept payments on your store using third-party providers such as PayPal
      or other payment methods.
    </p>
    <div v-for="(payment, i) in listPayment" :key="i">
      <div class="d-flex items-center justify-between my-6" v-if="payment && payment.sellerPaymentId">
        <div class="d-flex items-center gap-2">
          <div class="w-9 h-9">
            <img
              src="~/assets/images/logos_paypal.svg"
              alt=""
              class="w-full h-full object-scale-down"
              v-if="payment.sellerPaymentId && payment.sellerPaymentId.type === 'paypal'"
            />
            <img
              src="~/assets/images/bi_stripe.svg"
              alt=""
              class="w-full h-full object-scale-down"
              v-if="payment.sellerPaymentId && payment.sellerPaymentId.type === 'stripe'"
            />
          </div>
          <div class="font-semibold text-sm">
            {{payment && payment.sellerPaymentId &&
            payment.sellerPaymentId.paymentId &&
            payment.sellerPaymentId.paymentId.name}}
          </div>
        </div>
        <v-switch
          inset
          class="mt-0 mb-1"
          hide-details
          x-large
          v-model="payment.isOpenPaypalCard"
          :disabled="!payment.sellerPaymentId.status || !payment.sellerPaymentId.isOpenPaypalCard || !payment.status"
          @change="onTogglePaypalCard(payment)"
          v-if="payment.sellerPaymentId.type === 'paypal'"
          label="Card Paypal"
        >
        </v-switch>
        <v-switch
          inset
          class="mt-0 mb-1"
          hide-details
          x-large
          v-model="payment.status"
          :disabled="!payment.sellerPaymentId.status"
          @change="onTogglePayment(payment)"
        >
        </v-switch>
      </div>
      <v-divider v-if="i === 0"></v-divider>
    </div>
  </div>
</div>
